summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorFran├žois Andriot <albator78@libertysurf.fr>2013-12-27 13:52:47 +0100
committerFran├žois Andriot <albator78@libertysurf.fr>2013-12-27 13:52:47 +0100
commitbd2480c3dc402786dae7635394dfb6253b3e1061 (patch)
tree5f6c7f1b2b626ce754d9057a68863cef53800284
parent51cf0da40497ed45719a25f24a795046caa925db (diff)
downloadtde-packaging-bd2480c3dc402786dae7635394dfb6253b3e1061.tar.gz
tde-packaging-bd2480c3dc402786dae7635394dfb6253b3e1061.zip
RPM Packaging: update R14 packages
-rwxr-xr-xredhat/buildall-r14.sh4
-rw-r--r--redhat/libraries/python-trinity/python-trinity-14.0.0.spec6
-rw-r--r--redhat/notes.txt27
-rw-r--r--redhat/tdegraphics/tdegraphics-14.0.0.spec32
4 files changed, 44 insertions, 25 deletions
diff --git a/redhat/buildall-r14.sh b/redhat/buildall-r14.sh
index 86cb48784..93275b4e3 100755
--- a/redhat/buildall-r14.sh
+++ b/redhat/buildall-r14.sh
@@ -147,8 +147,8 @@ if ! is_installed trinity-desktop; then
eval ${PKGINST} trinity-desktop || exit 1
fi
# Disable trinity repository from here !!!
-if [ -r "/etc/yum.repos.d/trinity-3.5.13.repo" ]; then
- sudo sed -i "/etc/yum.repos.d/trinity-3.5.13.repo" -e "s|enabled=.*|enabled=0|g"
+if [ -r "/etc/yum.repos.d/trinity-r14.repo" ]; then
+ sudo sed -i "/etc/yum.repos.d/trinity-r14.repo" -e "s|enabled=.*|enabled=0|g"
fi
# devel packages
diff --git a/redhat/libraries/python-trinity/python-trinity-14.0.0.spec b/redhat/libraries/python-trinity/python-trinity-14.0.0.spec
index f2da1f06d..978c6e036 100644
--- a/redhat/libraries/python-trinity/python-trinity-14.0.0.spec
+++ b/redhat/libraries/python-trinity/python-trinity-14.0.0.spec
@@ -43,8 +43,8 @@ BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Source0: %{name}-%{tde_version}%{?preversion:~%{preversion}}.tar.gz
-Patch0: python-trinity-14.0.0-ftbfs.patch
-Patch1: python-trinity-14.0.0-ftbfs2.patch
+#Patch0: python-trinity-14.0.0-ftbfs.patch
+#Patch1: python-trinity-14.0.0-ftbfs2.patch
BuildRequires: trinity-tqtinterface-devel >= %{tde_version}
BuildRequires: trinity-arts-devel >= 1:1.5.10
@@ -117,7 +117,7 @@ tips and working code you can use to learn from.
%prep
%setup -q -n %{name}-%{tde_version}%{?preversion:~%{preversion}}
%if 0%{?suse_version} == 1310
-%patch0 -p1 -b .ftbfs
+#patch0 -p1 -b .ftbfs
#patch1 -p1 -b .ftbfs
%endif
diff --git a/redhat/notes.txt b/redhat/notes.txt
index b625b94f6..f7fd61558 100644
--- a/redhat/notes.txt
+++ b/redhat/notes.txt
@@ -1,6 +1,6 @@
This is a unsorted quick notes about TDE build issues, by distribution.
-ALL DISTRIBUTIONS (or almost)
+ALL DISTRIBUTIONS (or almost):
Some libraries are required but not provided by distribution anymore.
You can find them in "3rdparty" folder.
@@ -11,15 +11,14 @@ wv2 : required for koffice
CENTOS 6:
-ligogg-devel package is missing: /usr/lib[64]/libogg.la .
+ligogg-devel package is missing file '/usr/lib[64]/libogg.la'
Missing header 'jpegint.h'
MAGEIA 2/3:
Remove db4-devel and install db5-devel only.
Several version of postgresl-devel exist.
-Ensure you have the latest one installed, or you will build against
-an old one !
+Ensure you have the latest one installed, or you will build against an old one !
MGA2: 9.1
MGA3: 9.2
@@ -31,9 +30,14 @@ I had to build newer version in order to have TDE function correctly.
poppler (built as trinity-poppler)
-OPENSUSE (all version)
+OPENSUSE 11.x and 12.x
Missing cmake macros for RPM.
-Manually copy file 'macros.cmake' to '/etc/rpm'
+Manually copy file 'macros.cmake' from Fedora to '/etc/rpm'
+Starting with OSS 13.1, the cmake macro is here.
+
+
+OPENSUSE 13.1
+Macro '%suse_version' has value 1230 instead of 1310. Need manual fixing.
OPENSUSE 11.4
@@ -42,7 +46,16 @@ Edit file '/usr/lib/pkgconfig/libical.pc'
Then change as follow:
Cflags: -I${includedir}/libical
-Avoid relinking error on i18n (e.g. rpmbuild fails in amarok):
+To avoid relinking error on i18n (e.g. rpmbuild fails in amarok), create symlink manually on build system:
for i in ar bg bn ca cs da de el en_GB es et fi fr he hi hu is it ja lt nl nb nn pa pl pt pt_BR ro ru sk sl sr sv ta tr uk zh_CN zh_TW; do
mkdir -p /opt/trinity/share/doc/tde/HTML/$i/common
done
+
+
+FEDORA 20
+kopete-otr: Missing 'libotr3' autotools macros. Need to put manually '.m4' file from source package in correct folder.
+
+
+PCLINUXOS:
+Many '.la' files are missing under '/usr/lib'. Need manual creation.
+
diff --git a/redhat/tdegraphics/tdegraphics-14.0.0.spec b/redhat/tdegraphics/tdegraphics-14.0.0.spec
index 0f07bb31e..585b0e717 100644
--- a/redhat/tdegraphics/tdegraphics-14.0.0.spec
+++ b/redhat/tdegraphics/tdegraphics-14.0.0.spec
@@ -233,7 +233,7 @@ Requires: trinity-ksvg = %{version}-%{release}
Requires: trinity-kview = %{version}-%{release}
Requires: trinity-kviewshell = %{version}-%{release}
Requires: trinity-libkscan = %{version}-%{release}
-Requires: %{name}-libpoppler-tqt = %{version}-%{release}
+Requires: trinity-libpoppler-tqt = %{version}-%{release}
%description
Graphics applications for the Trinity Desktop Environment, including
@@ -1125,38 +1125,44 @@ This package contains development files for Trinity's scanner library.
##########
-%package libpoppler-tqt
+%package -n trinity-libpoppler-tqt
Summary: TQt support for Poppler
Group: Environment/Libraries
+Obsoletes: poppler-tqt < %{version}-%{release}
Provides: poppler-tqt = %{version}-%{release}
+Obsoletes: %{name}-poppler-tqt < %{version}-%{release}
+Provides: %{name}-poppler-tqt = %{version}-%{release}
-%description libpoppler-tqt
+%description -n trinity-libpoppler-tqt
TQt support library for Poppler.
This library is used by the Trinity graphics file plugins for PDF support.
-%files libpoppler-tqt
+%files -n trinity-libpoppler-tqt
%defattr(-,root,root,-)
%{tde_libdir}/libpoppler-tqt.so.*
-%post libpoppler-tqt
+%post -n trinity-libpoppler-tqt
/sbin/ldconfig || :
-%postun libpoppler-tqt
+%postun -n trinity-libpoppler-tqt
/sbin/ldconfig || :
##########
-%package libpoppler-tqt-devel
+%package -n trinity-libpoppler-tqt-devel
Summary: Development files for TQt support for Poppler
Group: Development/Libraries
-Requires: %{name}-libpoppler-tqt
+Requires: trinity-libpoppler-tqt = %{version}-%{release}
+Obsoletes: poppler-tqt-devel < %{version}-%{release}
Provides: poppler-tqt-devel = %{version}-%{release}
+Obsoletes: %{name}-poppler-tqt-devel < %{version}-%{release}
+Provides: %{name}-poppler-tqt-devel = %{version}-%{release}
-%description libpoppler-tqt-devel
+%description -n trinity-libpoppler-tqt-devel
Development files of TQt support library for Poppler.
This package contains the development files needed to compile applications against poppler-tqt.
-%files libpoppler-tqt-devel
+%files -n trinity-libpoppler-tqt-devel
%defattr(-,root,root,-)
%{tde_tdeincludedir}/poppler-link-qt3.h
%{tde_tdeincludedir}/poppler-page-transition.h
@@ -1165,10 +1171,10 @@ This package contains the development files needed to compile applications again
%{tde_libdir}/libpoppler-tqt.so
%{tde_libdir}/pkgconfig/poppler-tqt.pc
-%post libpoppler-tqt-devel
+%post -n trinity-libpoppler-tqt-devel
/sbin/ldconfig || :
-%postun libpoppler-tqt-devel
+%postun -n trinity-libpoppler-tqt-devel
/sbin/ldconfig || :
##########
@@ -1182,7 +1188,7 @@ Provides: trinity-kdegraphics-devel = %{version}-%{release}
Requires: %{name} = %{version}-%{release}
Requires: trinity-libkscan-devel = %{version}-%{release}
-Requires: %{name}-libpoppler-tqt-devel = %{version}-%{release}
+Requires: trinity-libpoppler-tqt-devel = %{version}-%{release}
%description devel
%{summary}.